Index: palm/trunk/SOURCE/lpm_droplet_collision.f90
===================================================================
--- palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 1319)
+++ palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 1320)
@@ -20,12 +20,14 @@
 ! Current revisions:
 ! ------------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
-!
-! 1318 2014-03-17 13:35:16Z raasch
-! module interfaces removed
 !
 ! 1092 2013-02-02 11:24:22Z raasch
@@ -67,26 +69,90 @@
 !------------------------------------------------------------------------------!
 
-    USE arrays_3d
-    USE cloud_parameters
-    USE constants
-    USE control_parameters
-    USE cpulog
-    USE grid_variables
-    USE indices
-    USE lpm_collision_kernels_mod
-    USE particle_attributes
+    USE arrays_3d,                                                             &
+        ONLY:  diss, ql, ql_v, ql_vp, u, v, w, zu, zw
+
+    USE cloud_parameters,                                                      &
+        ONLY:  effective_coll_efficiency
+
+    USE constants,                                                             &
+        ONLY:  pi
+
+    USE control_parameters,                                                    &
+        ONLY:  dt_3d, message_string, u_gtrans, v_gtrans, dz
+
+    USE cpulog,                                                                &
+        ONLY:  cpu_log, log_point_s
+
+    USE grid_variables,                                                        &
+        ONLY:  ddx, dx, ddy, dy
+
+    USE indices,                                                               &
+        ONLY:  nxl, nxr, nyn, nys, nzb, nzt 
+
+    USE kinds
+
+    USE lpm_collision_kernels_mod,                                             &
+        ONLY:  ckernel, collision_efficiency_rogers, recalculate_kernel
+
+    USE particle_attributes,                                                   &
+        ONLY:  deleted_particles, dissipation_classes, hall_kernel,            &
+               palm_kernel, particles, particle_mask, particle_type,           &
+               prt_count, prt_start_index, use_kernel_tables, wang_kernel
 
     IMPLICIT NONE
 
-    INTEGER ::  eclass, i, ii, inc, is, j, jj, js, k, kk, n, pse, psi, rclass_l, &
-                rclass_s
-
-    REAL ::  aa, bb, cc, dd, delta_r, delta_v, gg, epsilon, mean_r, ql_int,    &
-             ql_int_l, ql_int_u, u_int, u_int_l, u_int_u, v_int, v_int_l,      &
-             v_int_u, w_int, w_int_l, w_int_u, sl_r3, sl_r4, x, y, sum1, sum2, &
-             sum3, r3, ddV
-
-    TYPE(particle_type) ::  tmp_particle
-    REAL, DIMENSION(:), ALLOCATABLE :: rad, weight
+    INTEGER(iwp) ::  eclass   !:
+    INTEGER(iwp) ::  i        !:
+    INTEGER(iwp) ::  ii       !:
+    INTEGER(iwp) ::  inc      !:
+    INTEGER(iwp) ::  is       !:
+    INTEGER(iwp) ::  j        !:
+    INTEGER(iwp) ::  jj       !:
+    INTEGER(iwp) ::  js       !:
+    INTEGER(iwp) ::  k        !:
+    INTEGER(iwp) ::  kk       !:
+    INTEGER(iwp) ::  n        !:
+    INTEGER(iwp) ::  pse      !:
+    INTEGER(iwp) ::  psi      !:
+    INTEGER(iwp) ::  rclass_l !:
+    INTEGER(iwp) ::  rclass_s !:
+
+    REAL(wp) ::  aa       !:
+    REAL(wp) ::  bb       !:
+    REAL(wp) ::  cc       !:
+    REAL(wp) ::  dd       !:
+    REAL(wp) ::  ddV      !:
+    REAL(wp) ::  delta_r  !:
+    REAL(wp) ::  delta_v  !:
+    REAL(wp) ::  epsilon  !:
+    REAL(wp) ::  gg       !:
+    REAL(wp) ::  mean_r   !:
+    REAL(wp) ::  ql_int   !:
+    REAL(wp) ::  ql_int_l !:
+    REAL(wp) ::  ql_int_u !:
+    REAL(wp) ::  r3       !:
+    REAL(wp) ::  sl_r3    !:
+    REAL(wp) ::  sl_r4    !:
+    REAL(wp) ::  sum1     !:
+    REAL(wp) ::  sum2     !:
+    REAL(wp) ::  sum3     !:
+    REAL(wp) ::  u_int    !:
+    REAL(wp) ::  u_int_l  !:
+    REAL(wp) ::  u_int_u  !:
+    REAL(wp) ::  v_int    !:
+    REAL(wp) ::  v_int_l  !:
+    REAL(wp) ::  v_int_u  !:
+    REAL(wp) ::  w_int    !:
+    REAL(wp) ::  w_int_l  !:
+    REAL(wp) ::  w_int_u  !:
+    REAL(wp) ::  x        !:
+    REAL(wp) ::  y        !:
+
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  rad    !:
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  weight !:
+
+
+    TYPE(particle_type) ::  tmp_particle           !:
+
 
 
